@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΜΕΤΑΤΡΕΠΕΙ ΟΛΑ ΤΑ ΑΡΧΕΙΑ ΗΧΟΥ ΠΟΥ ΤΟΥ ΛΕΤΕ ΣΤΟ ΦΟΡΜΑΤ ΗΧΟΥ ΠΟΥ ΘΕΛΕΤΕ ΝΑ ΠΑΡΕΤΕ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 


rem το ffmpeg κυριολεκτικα διαχειρίζεται μόνο του όλες τις παραμέτρους μετατροπής αλλά bug-αρει 
rem οταν τα κάνει και κλεινει το script... δεν βρηκα γιατι και δεν το εψαξα αφου κάνει την δουλειά :p
rem https://ffmpeg.org/ffmpeg.html#Main-options
rem αλλά αν θέλετε συγκεκριμένες, διαβαστε πως να το κάνετε και ανάλογα αλλάξτε την απο κάτω εντολή
rem https://stackoverflow.com/questions/3255674/convert-audio-files-to-mp3-using-ffmpeg

echo.
set "StartWAV=wav"
set /p StartWAV=Γράψε το extension του Codec Ήχου που θες να μετατρέψω, π.χ. aac, αλλιώς Enter για default wav:


echo.
set "EndMP3=mp3"
set /p EndMP3=Γράψε το extension του Codec Ήχου που θες να γίνει, π.χ. flac, αλλιώς Enter για default mp3:
rem echo.

:FF
rem SetLocal EnableExtensions EnableDelayedExpansion
for /F tokens^=* %%i in ('dir /b *.%%StartWAV%%') do (

	echo.
	echo Μετατρέπω το "%%i" ..
	echo.
	call ffmpeg -v quiet -stats -loglevel error  -i "%%i" "%%~pi%%~ni.%%EndMP3%%" 
	call vidChckCode.bat "%%i"   
)
rem endlocal
goto End

rem endlocal 

:End 
call vid0ends.bat
exit /b 0